{
  pkgs,
  lib,
  config,
  osConfig,
  inputs,
  ...
}: let
  cfg = osConfig.mods;
in {
  imports = [inputs.impermanence.homeManagerModules.impermanence];

  # Modules
  mods.xdg.enable = true;
  mods.i3.enable = true;
  mods.battery.enable = true;
  mods.terminal.zsh.enable = true;
  mods.terminal.emulator.enable = true;
  mods.terminal.development.enable = true;
  mods.terminal.tools.enable = true;
  mods.desktop.development.enable = true;
  mods.desktop.productivity.enable = false;
  mods.zen.enable = true;
  mods.theme.slideshow.enable = true;

  home.packages = with pkgs; [
    pulseaudio
    pavucontrol
    alsa-utils

    opencode
  ];

  # Hardware preferences
  ## Monitors
  services.autorandr.enable = true;
  programs.autorandr = {
    enable = true;
    hooks.postswitch = {
      "notify-i3" = "${pkgs.i3}/bin/i3-msg restart";
    };
  };

  # Version of first install
  home.stateVersion = "23.05";
}
